<?php
//---------------------------------------------------------------------------------------------------------
// 4/diciembre/2015
// Versión 1.0 Fichero para mostrar la descarga del fichero csv de albaran
//---------------------------------------------------------------------------------------------------------
if ($numero_fichero != NULL) {
    $albaran = new Albaran($numero_fichero, true, TRUE,true);
    if ($albaran->codigo > 0) {
        header("Content-Type: text/csv; charset=ISO-8859-1");
       header("Content-Disposition: attachment; filename=alb$numero_fichero.csv");
        /* Registro Shop:: */
        $cliente = $albaran->cliente;
        $fe = "E;";
        $fe .="Shop::$empresa->nombre_legal;"; //Nombre legal
        $fe .="Shop::$empresa->nombre";   //Nombre Comercial
        $fe .="Shop::$empresa->cif;"; //CIF
        $fe .="Shop::$empresa->direccion;"; //direccion
        $fe .="Shop::$empresa->cod_postal;";  //codPOST
        $fe .="Shop::$empresa->localidad;";  //localidad
        $fe .="Shop::$empresa->provincia;";   //provincia
        $fe .="Shop::$empresa->telefono_Shop::;";  //Numero Telefono
        /* Registro de Cliente */
        $rC = "C;";     //Tipo de registro
        $rC .="$cliente->nombre_legal;"; //Nombre legal
        $rC .="$cliente->nombre_comercial";   //Nombre Comercial
        $rC .="$cliente->cif;"; //CIF
        $rC .="$cliente->direccion;"; //direccion
        $rC .="$cliente->cod_postal;";  //codPOST
        $rC .="$cliente->localidad;";  //localidad
        $rC .="$cliente->provincia;";   //provincia
        $rC .="$cliente->telefono;";  //Numero Telefono
        /* Identificacion de factura */
        $f = "F;";
        $f .= "$albaran->num_doc;";
        $f .= date_format($albaran->fecha_date_format, "Ymd");
        $f .= "$albaran->nombre_tipo_doc;";
        /* Registro de lineas */
        $rL = "A;"; //Tipo de registro
        $rL .= $albaran->num_doc . ";"; //Numero de albaran
        $rL .= date_format($albaran->fecha_date_format, "Ymd") . ";"; //Fecha
        $rL .= $albaran->nombre_tipo_doc . ";";
        $rL .= "\r\n";
        foreach ($albaran->lineas_albaran as $key => $linea) {
            $rL .= "L;"; //Tipo de registro
            $rL .= $linea->ean . ";"; //EAN
            $rL .= $linea->objeto_articulo->nombre . ";"; //nombre
            $rL .= "$linea->cantidad;"; //cantidad
            $rL .= "$linea->importe;"; // pvp
            $rL .= "$linea->iva;"; //iva
            $rL .= $linea->importe . ";"; // precio sin iva
            $rL .= $linea->descuento . ";"; // dto
            $rL .= $linea->objeto_articulo->base; // precio unidad
            $rL .= $linea->importe . ";"; // importe
            $rL .="\r\n";
        }
        $rL .= ($albaran->total_albaran * 100) . ";"; //Importe
        /* Mostramos el contenido */
        echo $fe . "\r\n";
        echo $rC . "\r\n";
        echo $f . "\r\n";
        echo $rL;
        /* Pie Factura */
        for ($i = 1; $i <= 4; $i++) {
            $iva = "iva$i";
            $base = "base$i";
            $imp_iva = "imp_iva$i";
            $recargo = "imp_recargo$i";
            $bruto = "bruto$i";
            echo ($albaran->$iva) != 0 ? $albaran->$iva . ";" : " ;";
            echo ($albaran->$base) != 0 ? $albaran->$base . ";" : " ;";
            echo ($albaran->$imp_iva) != 0 ? $albaran->$imp_iva . ";" : " ;";
            echo ($albaran->$recargo) != 0 ? $albaran->$recargo : " ;";
            echo ($albaran->$bruto) != 0 ? $albaran->$bruto . ";" : " ;";
        }
    } else {
        ?>
        <p class="error_sinli">////<?= traducir("No se ha podido cargar el Albaran"); ?></p>
        <?php
    }
}
?>